View Single Post
Old 03-01-2016, 11:46 AM   #5
scarlsen58
Junior Member
 
Location: Fargo

Join Date: Dec 2015
Posts: 2
Default

rhall

Thanks for the advice. I'll post the log below. I am running on a single machine which I was told could manage this process but I’m not entirely sure that is true (still pretty new to this).

#!/bin/bash
# Setting up SMRTpipe environment
echo "Setting up ENV on $(uname -n)" for task hgapCorrection
if [ -z $SEYMOUR_HOME ]; then
SEYMOUR_HOME=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377
fi

source $SEYMOUR_HOME/etc/setup.sh

# Create the local TMP dir if it doesn't exist
tmp_dir=$(readlink -m "/media/friesen_lab/2TB/download/smrtanalysis/tmpdir")
if [ ! -e "$tmp_dir" ]; then
stat=0
mkdir -p $tmp_dir || stat=$?
if [[ $stat -ne 0 ]]; then
echo "SMRTpipe Unable to create TMP dir '/media/friesen_lab/2TB/download/smrtanalysis/tmpdir' on $(uname -n)" 1>&2
exit 1
else
echo "successfully created or found TMP dir '/media/friesen_lab/2TB/download/smrtanalysis/tmpdir'"
fi
elif [[ ! -d "$tmp_dir" ]]; then
echo "SMRTpipe TMP /media/friesen_lab/2TB/download/smrtanalysis/tmpdir must be a directory on $(uname -n)" 1>&2
exit 1
fi

########### TASK metadata #############
# Task : hgapCorrection
# Module : P_PreAssemblerDagcon
# Module Version : 2.1.124285
# TaskType : None
# URL : task://016441/P_PreAssemblerDagcon/hgapCorrection
# createdAt : 2016-02-28 18:48:59.033653
# createdAt (UTC) : 2016-02-29 00:48:59.033665
# ncmds : 1
# LogPath : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/log/P_PreAssemblerDagcon/hgapCorrection.log
# Script Path : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/workflow/P_PreAssemblerDagcon/hgapCorrection.sh

# Input : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/.seeds.m4.filter
# Input : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta
# Input : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4
# Input : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn
# Output : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/corrected.fastq
# Output : /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/corrected.fasta
#
########### END TASK metadata #############

# Writing to log file
cat /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/workflow/P_PreAssemblerDagcon/hgapCorrection.sh >> /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/log/P_PreAssemblerDagcon/hgapCorrection.log;



echo "Running task://016441/P_PreAssemblerDagcon/hgapCorrection on $(uname -a)"

echo "Started on $(date -u)"
echo 'Validating existence of Input Files'
if [ -e /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/.seeds.m4.filter ]
then
echo 'Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/.seeds.m4.filter'
else
echo 'WARNING: Unable to find necessary input file, or dir /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/.seeds.m4.filter.'
fi
if [ -e /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta ]
then
echo 'Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta'
else
echo 'WARNING: Unable to find necessary input file, or dir /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta.'
fi
if [ -e /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4 ]
then
echo 'Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4'
else
echo 'WARNING: Unable to find necessary input file, or dir /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.'
fi
if [ -e /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn ]
then
echo 'Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn'
else
echo 'WARNING: Unable to find necessary input file, or dir /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn.'
fi
echo 'Successfully validated input files'

# Task hgapCorrection commands:


# Completed writing Task hgapCorrection commands


# Task 1
tmp=$(mktemp -d -p /media/friesen_lab/2TB/download/smrtanalysis/tmpdir);mym4=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4 allm4=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn subreads=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta bestn=24 nproc=11 fasta=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/corrected.fasta fastq=/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/corrected.fastq cov=6 tmp=$tmp pbdagcon_wf.sh; rmdir $tmp || exit $?
echo "Task 1 completed at $(date)"



rcode=$?
echo "Finished on $(date -u)"
echo "Task hgapCorrection with nproc 11 with exit code ${rcode}."
exit ${rcode}# Writing stdout and stderr from Popen:
Setting up ENV on friesen-lab-computer for task hgapCorrection
Running task://016441/P_PreAssemblerDagcon/hgapCorrection on Linux friesen-lab-computer 3.16.0-57-generic #77~14.04.1-Ubuntu SMP Thu Dec 17 23:20:00 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Started on Mon Feb 29 21:27:22 UTC 2016
Validating existence of Input Files
Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/.seeds.m4.filter
Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta
Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4
Successfully found /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn
Successfully validated input files
Generating pre-alignments
m4topre.py /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4 /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/seeds.m4.fofn /media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/common/jobs/016/016441/data/filtered_subreads.fasta 24 > /media/friesen_lab/2TB/download/smrtanalysis/tmpdir/tmp.biV2OMIj5Y/aln.104683.pre
Traceback (most recent call last):
File "/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/analysis/bin/m4topre.py", line 208, in <module>
sys.exit(main())
File "/media/friesen_lab/2TB/download/smrtanalysis/install/smrtanalysis-2.2.0.133377/analysis/bin/m4topre.py", line 205, in main
rec.tseqlength, str(tst), str(tnd), qseq, tseq])
IOError: [Errno 28] No space left on device
Task 1 completed at Mon Feb 29 16:46:07 CST 2016
Finished on Mon Feb 29 22:46:07 UTC 2016
Task hgapCorrection with nproc 11 with exit code 0.
scarlsen58 is offline   Reply With Quote